
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>src.job package &#8212; BRMS Engine 1.0 documentation</title>
    
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head>
  <body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="src-job-package">
<h1>src.job package<a class="headerlink" href="#src-job-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="module-src.job.datasync">
<span id="src-job-datasync-module"></span><h2>src.job.datasync module<a class="headerlink" href="#module-src.job.datasync" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.job.datasync.DataSync">
<em class="property">class </em><code class="descclassname">src.job.datasync.</code><code class="descname">DataSync</code><span class="sig-paren">(</span><em>scenario_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/datasync.html#DataSync"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.datasync.DataSync" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<dl class="method">
<dt id="src.job.datasync.DataSync.get_data_sync_path">
<code class="descname">get_data_sync_path</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/datasync.html#DataSync.get_data_sync_path"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.datasync.DataSync.get_data_sync_path" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.job.datasync.DataSync.get_metadata_from_sfdc">
<code class="descname">get_metadata_from_sfdc</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/datasync.html#DataSync.get_metadata_from_sfdc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.datasync.DataSync.get_metadata_from_sfdc" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.job.datasync.DataSync.invoke">
<code class="descname">invoke</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/datasync.html#DataSync.invoke"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.datasync.DataSync.invoke" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.job.datasync.DataSync.sync_to_s3">
<code class="descname">sync_to_s3</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/datasync.html#DataSync.sync_to_s3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.datasync.DataSync.sync_to_s3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.job.filemovement">
<span id="src-job-filemovement-module"></span><h2>src.job.filemovement module<a class="headerlink" href="#module-src.job.filemovement" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.job.filemovement.FileMovement">
<em class="property">class </em><code class="descclassname">src.job.filemovement.</code><code class="descname">FileMovement</code><span class="sig-paren">(</span><em>dataobject_id: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Controller class for for data movement and header validations.</p>
<p>Implements all the functions for data management module. Reads metadata from Salesforce and copies file from source
to destination. Performs validations on the data in Redshift and dumps the error and success tables to s3.</p>
<dl class="method">
<dt id="src.job.filemovement.FileMovement.check_numeric">
<code class="descname">check_numeric</code><span class="sig-paren">(</span><em>numeric_cols</em>, <em>count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.check_numeric"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.check_numeric" title="Permalink to this definition">¶</a></dt>
<dd><p>Checks for datatype violations. Only columns with numeric dtype in metadata are checked using Regular expression.
Regexp checks for int as well as decimal points. In later sprints, regex will depend on whether decimal points to
be allowed or not by referencing the metadata. Moves any bad records to the error table.
:param numeric_cols: list of numeric columnss
:param count: count of the latest table created. Same use as above.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.col_validation">
<code class="descname">col_validation</code><span class="sig-paren">(</span><em>validation_cols</em>, <em>count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.col_validation"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.col_validation" title="Permalink to this definition">¶</a></dt>
<dd><p>Performs any column specific Validations. Inserts bad records to the error table.
:param validation_cols: list of cols with additional validations to check
:param count: count of the last table created. Same use as above</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.create_error_table">
<code class="descname">create_error_table</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.create_error_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.create_error_table" title="Permalink to this definition">¶</a></dt>
<dd><p>creates error tablei in redshift
:param query: query for error table</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.create_external_table">
<code class="descname">create_external_table</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.create_external_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.create_external_table" title="Permalink to this definition">¶</a></dt>
<dd><p>creates the external table in redshift
:param query: the external table query</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.create_final_table">
<code class="descname">create_final_table</code><span class="sig-paren">(</span><em>cols</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.create_final_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.create_final_table" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a final table in redshift without any error records. Subtracts all the error records in error table from
the initial table loaded in redshift.
:param cols: list of all columns
:return: returns the final table name</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.get_s3_creds">
<code class="descname">get_s3_creds</code><span class="sig-paren">(</span><em>ds</em>, <em>pos</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.get_s3_creds"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.get_s3_creds" title="Permalink to this definition">¶</a></dt>
<dd><p>Extracts necessary s3 credentials and file attributes to connect to s3
:param ds: dataset object in SF
:param pos: Indicates which s3 credentials to receive, source or destination. Use ‘src’ for source and
‘dst’ for destination
:return: returns aws key, aws secret key, bucket where the file is, and the path to the file relative
to the bucket
&gt;&gt;&gt; aws_id,aws_sec_key,bucket,path = self.get_s3_creds(self.so.ds,”src”)</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.invoke">
<code class="descname">invoke</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.invoke"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.invoke" title="Permalink to this definition">¶</a></dt>
<dd><p>File movement and validation functions are invoked through here</p>
<p>Detects extension of the file and calls the appropriate copy function. Calls for external table creation,
error table and drops tables created in redshift after execution.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.is_mandatory">
<code class="descname">is_mandatory</code><span class="sig-paren">(</span><em>is_mand</em>, <em>count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.is_mandatory"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.is_mandatory" title="Permalink to this definition">¶</a></dt>
<dd><p>Runs the mandatory column check on the columns marked mandatory in Dataset column Details SF object
Checks if those columns contain any null or blank values. Moves those bad records to the error table.
:param is_mand: list of mandatory columns to perform validations on
:param count: This is used to perform the query on the latest table. In case we decide to skip ‘remove
duplicate cols’ a count of 1 will be passed here.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.key_column">
<code class="descname">key_column</code><span class="sig-paren">(</span><em>key_col</em>, <em>count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.key_column"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.key_column" title="Permalink to this definition">¶</a></dt>
<dd><p>Runs the key_column check on the columns marked in DataSet Column Details object in SF.
Checks for any vioaltions and inserts any bad records found into the error table.
:param key_col: list of key columns to perform validations on
:param count: Tells count of previous table created on which the query is to be performed.
Dynamically updates the query. Useful in case we decide to skip any previous validations that create a new table.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.move_to_redshift">
<code class="descname">move_to_redshift</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.move_to_redshift"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.move_to_redshift" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates the query to create a table in redshift from the external table(in effect moving the file the external
table refres to, to redshift). Also executes the query.
:return: returns a count of 1 to indicate this is the first (public schema) table created in redshift.
This to ensure that order of queries can be easily changed.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.prepare_error_table_query">
<code class="descname">prepare_error_table_query</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.prepare_error_table_query"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.prepare_error_table_query" title="Permalink to this definition">¶</a></dt>
<dd><p>Prepares query for error table in redshift
:return: query for error table</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.prepare_external_table_query">
<code class="descname">prepare_external_table_query</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.prepare_external_table_query"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.prepare_external_table_query" title="Permalink to this definition">¶</a></dt>
<dd><p>Prepares the query to create external table in redshift .All columns dtypes are varchar.
:return: returns the query for external table creation.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.remove_duplicates">
<code class="descname">remove_duplicates</code><span class="sig-paren">(</span><em>meta_cols</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.remove_duplicates"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.remove_duplicates" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a redshift table without any duplicate records from the previous table.
:param meta_cols: meta_cols is the list of all columns in the redshift table previously created.
:return: returns 2 to indicate a second table has been created in redshift</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.s3_copy_csv">
<code class="descname">s3_copy_csv</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.s3_copy_csv"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.s3_copy_csv" title="Permalink to this definition">¶</a></dt>
<dd><p>Copies csv file from source to destination after compressing it to GZIP. Uses Dask and sets the delimeter to pipe (|).
Uses get_s3_cred method internally.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.s3_copy_gz">
<code class="descname">s3_copy_gz</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.s3_copy_gz"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.s3_copy_gz" title="Permalink to this definition">¶</a></dt>
<dd><p>Copies GZIP file from source to destination. Doesn’t change the delimiter. Creates two connections using boto3
and uses the get_s3_creds method internally.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.unload_error_table">
<code class="descname">unload_error_table</code><span class="sig-paren">(</span><em>error_table_name</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.unload_error_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.unload_error_table" title="Permalink to this definition">¶</a></dt>
<dd><p>Unloads the error table to s3
:param error_table_name: error table name</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.unload_final_table">
<code class="descname">unload_final_table</code><span class="sig-paren">(</span><em>final_table_name</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.unload_final_table"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.unload_final_table" title="Permalink to this definition">¶</a></dt>
<dd><p>Unloads the final table to s3
:param final_table_name: the name of the final table to be used to unload. The file created will also have the same name.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.filemovement.FileMovement.validations">
<code class="descname">validations</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/filemovement.html#FileMovement.validations"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.filemovement.FileMovement.validations" title="Permalink to this definition">¶</a></dt>
<dd><p>Controller function for all validations. Performs Level 1 validation. If L1 check is passed then all L2 validations
are run. Reads SF objects to retrieve all validations.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">retuns 1 if L1 checks are passed. 0 if not. This is used because in case L1 check fails, no entries are</td>
</tr>
</tbody>
</table>
<p>loaded in the error table, so it is not to be unloaded to s3.</p>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.job.runscenario">
<span id="src-job-runscenario-module"></span><h2>src.job.runscenario module<a class="headerlink" href="#module-src.job.runscenario" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.job.runscenario.RunScenario">
<em class="property">class </em><code class="descclassname">src.job.runscenario.</code><code class="descname">RunScenario</code><span class="sig-paren">(</span><em>scenario_id: str</em>, <em>is_sfdc_update_enabled: bool = False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Scenario execution flow implementation</p>
<p>Defines the complete flow of scenario execution - actual execution, status updates and
after-execution activities including uploading a summary of execution, cleanup from database(redshift)</p>
<dl class="method">
<dt id="src.job.runscenario.RunScenario.cleanup_scenario">
<code class="descname">cleanup_scenario</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.cleanup_scenario"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.cleanup_scenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Drops all internal tables in redshift created for this scenario execution</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.execute_scenario">
<code class="descname">execute_scenario</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.execute_scenario"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.execute_scenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Executes scenario rule instances for the scenario ordered by execution order</p>
<p>Calls the corresponding component class’s invoke method for execution of the scenario rule instance</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.get_scenario_completion_status">
<code class="descname">get_scenario_completion_status</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.get_scenario_completion_status"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.get_scenario_completion_status" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculates scenario status based on status of the scenario rule instances stored in
global list - collect_scenario_rule_instance_status</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">True- if each scenario rule instance status is true or if the list is empty; False- otherwise</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.invoke">
<code class="descname">invoke</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.invoke"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.invoke" title="Permalink to this definition">¶</a></dt>
<dd><p>Defines the flow for scenario execution - status updates in SFDC -&gt;
actual execution of a scenario -&gt; unloading from redshift to s3 -&gt;
uploading the scenario execution summary logs -&gt; cleanup internal tables in redshift -&gt;
final status updates in SFDC.</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.mark_scenario_complete">
<code class="descname">mark_scenario_complete</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.mark_scenario_complete"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.mark_scenario_complete" title="Permalink to this definition">¶</a></dt>
<dd><p>Updates scenario status in SFDC for the executed scenario</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.unload_scenario">
<code class="descname">unload_scenario</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.unload_scenario"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.unload_scenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Unloads Redshift table to S3 location - {S3-prefix}/{scenario_id}/{table_name}/</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.update_flags">
<code class="descname">update_flags</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.update_flags"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.update_flags" title="Permalink to this definition">¶</a></dt>
<dd><p>Updates status in scenario, scenario rule instances and business rules in SFDC to ‘In Progress’</p>
</dd></dl>

<dl class="method">
<dt id="src.job.runscenario.RunScenario.upload_summary">
<code class="descname">upload_summary</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/runscenario.html#RunScenario.upload_summary"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.runscenario.RunScenario.upload_summary" title="Permalink to this definition">¶</a></dt>
<dd><p>Generates and uploads summary files for scenario execution to S3 -
{S3-prefix}/{scenario_id}/summary/{filename}</p>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.job.s3explorer">
<span id="src-job-s3explorer-module"></span><h2>src.job.s3explorer module<a class="headerlink" href="#module-src.job.s3explorer" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.job.s3explorer.S3Explorer">
<em class="property">class </em><code class="descclassname">src.job.s3explorer.</code><code class="descname">S3Explorer</code><span class="sig-paren">(</span><em>prefix: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/s3explorer.html#S3Explorer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.s3explorer.S3Explorer" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Implements s3 explorer.</p>
<p>Allows the user to navigate through the keys(objects) present in s3 in the ‘prefix’ folder in a web page.
Folders can be explored and files can be previewed as HTML tables</p>
<dl class="method">
<dt id="src.job.s3explorer.S3Explorer.invoke">
<code class="descname">invoke</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/job/s3explorer.html#S3Explorer.invoke"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.job.s3explorer.S3Explorer.invoke" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">HTML string for a list of links to files/folders in the ‘prefix’ folder</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.job">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-src.job" title="Permalink to this headline">¶</a></h2>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">src.job package</a><ul>
<li><a class="reference internal" href="#submodules">Submodules</a></li>
<li><a class="reference internal" href="#module-src.job.datasync">src.job.datasync module</a></li>
<li><a class="reference internal" href="#module-src.job.filemovement">src.job.filemovement module</a></li>
<li><a class="reference internal" href="#module-src.job.runscenario">src.job.runscenario module</a></li>
<li><a class="reference internal" href="#module-src.job.s3explorer">src.job.s3explorer module</a></li>
<li><a class="reference internal" href="#module-src.job">Module contents</a></li>
</ul>
</li>
</ul>
<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/src.job.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, SalesIQ-BRM-DM.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.6.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="_sources/src.job.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>